package cn.stylefeng.team.generator.sdk.template.cache;

import cn.hutool.cache.impl.TimedCache;
import cn.stylefeng.roses.kernel.cache.memory.AbstractMemoryCacheOperator;
import cn.stylefeng.team.generator.api.constants.GenerationConstants;
import cn.stylefeng.team.generator.api.pojo.template.GeneratorTemplateGroup;

public class TemplateMemoryCache extends AbstractMemoryCacheOperator<GeneratorTemplateGroup> {

    public TemplateMemoryCache(TimedCache<String, GeneratorTemplateGroup> timedCache) {
        super(timedCache);
    }

    @Override
    public String getCommonKeyPrefix() {
        return GenerationConstants.TEMPLATE_CACHE_PREFIX;
    }

}
